# \_import

Import data into a customer table

### Parameters

#### cid

Customer ID

#### tid

Table ID

#### v

Import format version. Must be 2.

#### map

JSON array describing how the uploaded data is to be mapped to the table columns

#### rows

JSON array of 1 or more rows of data.

### Example

```
FM_api('CustomerTable_import',['cid'=>'502772','tid'=>'1580830943940','v'=>'2','rows'=>'[["346122","2020-08-20 09:00:00","1.25","Service","2020-08-20 01:00:01"]]','map'=>'[{"from":"job_id","to":"data.1","filter":"","options":"","idx":0},{"from":"job_time","to":"data.31","filter":"","options":"","idx":0},{"from":"hours","to":"data.3","filter":"","options":"","idx":0},{"from":"type_name","to":"data.2","filter":"","options":"","idx":0},{"from":"due_date","to":"data.32","filter":"","options":"","idx":0}]']);
```

#### On Success

```
{"ok":1,"errors":[]}
```

If there are issues importing a particular row, then they will be described in the returned `errors` array.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.fieldmotion.com/fieldmotion-api-docs/customertable/_import.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
